Bug 1585448 - Review Request: ghc-fgl - Martin Erwig's Functional Graph Library
Summary: Review Request: ghc-fgl - Martin Erwig's Functional Graph Library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-03 04:23 UTC by Jens Petersen
Modified: 2018-09-21 13:05 UTC (History)
2 users (show)

Fixed In Version: ghc-fgl-5.6.0.0-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-21 13:05:40 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2018-06-03 04:23:01 UTC
Spec URL: http://petersen.fedorapeople.org//ghc-fgl.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-fgl-5.6.0.0-2.fc28.src.rpm

Description:
An inductive representation of manipulating graph data structures.

Original website can be found at
<http://web.engr.oregonstate.edu/~erwig/fgl/haskell>.

Comment 2 Robert-André Mauchin 2018-06-03 19:05:12 UTC
This is an unretiring, right?


Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/package/ghc-fgl
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 2017280 bytes in 94 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 37 files have unknown
     license. Detailed output of licensecheck in /home/bob/packaging/review
     /ghc-fgl/review-ghc-fgl/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2109440 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-fgl-5.6.0.0-2.fc29.x86_64.rpm
          ghc-fgl-devel-5.6.0.0-2.fc29.x86_64.rpm
          ghc-fgl-5.6.0.0-2.fc29.src.rpm
ghc-fgl.x86_64: W: spelling-error %description -l en_US engr -> en gr, en-gr, green
ghc-fgl.x86_64: W: spelling-error %description -l en_US oregonstate -> remonstrate
ghc-fgl.x86_64: W: spelling-error %description -l en_US edu -> ed, educ, due
ghc-fgl.x86_64: W: spelling-error %description -l en_US erwig -> earwig, er wig, er-wig
ghc-fgl.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
ghc-fgl.x86_64: W: no-documentation
ghc-fgl.src: W: spelling-error %description -l en_US engr -> en gr, en-gr, green
ghc-fgl.src: W: spelling-error %description -l en_US oregonstate -> remonstrate
ghc-fgl.src: W: spelling-error %description -l en_US edu -> ed, educ, due
ghc-fgl.src: W: spelling-error %description -l en_US erwig -> earwig, er wig, er-wig
ghc-fgl.src: W: spelling-error %description -l en_US haskell -> Haskell
3 packages and 0 specfiles checked; 0 errors, 11 warnings.

Comment 3 Jens Petersen 2018-06-04 02:30:34 UTC
Thank you very much!

https://pagure.io/releng/fedora-scm-requests/issue/6879

Comment 4 Jens Petersen 2018-07-01 13:06:25 UTC
Yes an unretiring, oops..

https://pagure.io/releng/issue/7549


Note You need to log in before you can comment on or make changes to this bug.